Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236310 - pdftk contains Sun confidential code from itext
Summary: pdftk contains Sun confidential code from itext
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pdftk
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 23:57 UTC by Kevin Kofler
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-24 18:01:42 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2007-04-12 23:57:15 UTC
Description of problem:
The following files in the pdftk tarball:
com/lowagie/text/pdf/codec/postscript/PACommand.java
com/lowagie/text/pdf/codec/postscript/PAContext.java
com/lowagie/text/pdf/codec/postscript/PAEngine.java
com/lowagie/text/pdf/codec/postscript/PAPencil.java
com/lowagie/text/pdf/codec/postscript/PAToken.java
com/lowagie/text/pdf/codec/postscript/PainterException.java

(which originate in itext) contain code with the following copyright header:
/*
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

Version-Release number of selected component (if applicable):
pdftk-1.41-3.fc6

Additional info:
See also Bug 236309 against itext.

Comment 1 Kevin Kofler 2007-04-12 23:58:42 UTC
Correction: The files are all in the java_libs subdirectory, i.e.:
java_libs/com/lowagie/text/pdf/codec/postscript/PACommand.java
java_libs/com/lowagie/text/pdf/codec/postscript/PAContext.java
java_libs/com/lowagie/text/pdf/codec/postscript/PAEngine.java
java_libs/com/lowagie/text/pdf/codec/postscript/PAPencil.java
java_libs/com/lowagie/text/pdf/codec/postscript/PAToken.java
java_libs/com/lowagie/text/pdf/codec/postscript/PainterException.java

Comment 2 Jochen Schmitt 2007-04-16 15:59:29 UTC
Have notified upstream about this problem.

Comment 3 Jochen Schmitt 2007-06-21 18:08:16 UTC
The iText package of Fedora contains the same files.

Comment 4 Kevin Kofler 2007-06-21 18:10:12 UTC
I know, see Bug 236309. :-)

Comment 5 Jochen Schmitt 2007-06-24 18:01:42 UTC
Package will going into the EOL process, becouse iText was remove caused by
licensing issues and pdftk contains a bundled copy of iText.


Note You need to log in before you can comment on or make changes to this bug.